Index: i18n/uk.ts
===================================================================
--- i18n/uk.ts	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
+++ i18n/uk.ts	(revision b24a5a054a709eb38bbbdab508f452eeb9ff493e)
@@ -18,5 +18,5 @@
         <location filename="../src/tspmodel.cpp" line="156"/>
         <source>Unexpected end of file.</source>
-        <translation type="unfinished"></translation>
+        <translation>Неочікуваний кінець файлу.</translation>
     </message>
     <message>
@@ -55,5 +55,6 @@
         <source>Unable to open task file.
 Error: %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Неможливо відкрити файл завдання.
+Помилка: %1</translation>
     </message>
     <message>
@@ -138,5 +139,5 @@
     <message>
         <location filename="../ui/mainwindow.ui" line="332"/>
-        <source>P&amp;rint setup...</source>
+        <source>P&amp;rint Setup...</source>
         <translation>&amp;Налагодження друку...</translation>
     </message>
@@ -191,8 +192,4 @@
     </message>
     <message>
-        <source>Travelling salesman problem</source>
-        <translation type="obsolete">Задача комівояжера</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="56"/>
         <location filename="../ui/mainwindow.ui" line="35"/>
@@ -267,4 +264,22 @@
     </message>
     <message>
+        <location filename="../ui/mainwindow.ce.ui" line="266"/>
+        <location filename="../ui/mainwindow.ui" line="244"/>
+        <source>Save &amp;As...</source>
+        <translation>Зберегти &amp;як...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="348"/>
+        <location filename="../ui/mainwindow.ui" line="361"/>
+        <source>Solution S&amp;teps</source>
+        <translation>&amp;Хід розв&apos;язку</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="375"/>
+        <source>Solution &amp;Graph</source>
+        <translation>&amp;Граф розв&apos;язку</translation>
+    </message>
+    <message>
         <location filename="../ui/mainwindow.ce.ui" line="466"/>
         <location filename="../ui/mainwindow.ui" line="479"/>
@@ -289,10 +304,4 @@
         <source>Travelling salesman problem[*]</source>
         <translation>Задача комівояжера[*]</translation>
-    </message>
-    <message>
-        <location filename="../ui/mainwindow.ce.ui" line="266"/>
-        <location filename="../ui/mainwindow.ui" line="244"/>
-        <source>Save &amp;as...</source>
-        <translation>Зберегти &amp;як...</translation>
     </message>
     <message>
@@ -312,10 +321,4 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="348"/>
-        <location filename="../ui/mainwindow.ui" line="361"/>
-        <source>Solution st&amp;eps</source>
-        <translation>&amp;Хід розв&apos;язку</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="351"/>
         <location filename="../ui/mainwindow.ui" line="364"/>
@@ -330,10 +333,4 @@
     </message>
     <message>
-        <location filename="../ui/mainwindow.ce.ui" line="362"/>
-        <location filename="../ui/mainwindow.ui" line="375"/>
-        <source>Solution &amp;graph</source>
-        <translation>&amp;Граф розв&apos;язку</translation>
-    </message>
-    <message>
         <location filename="../ui/mainwindow.ce.ui" line="365"/>
         <location filename="../ui/mainwindow.ui" line="378"/>
@@ -448,8 +445,4 @@
         <source>Open help contents</source>
         <translation>Відкрити зміст допомоги</translation>
-    </message>
-    <message>
-        <source>&amp;Context help</source>
-        <translation type="obsolete">&amp;Контекстна допомога</translation>
     </message>
     <message>
